[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Getting maintainers help with obsoletes



On Tue, 12 May 2009 22:36:19 -0500, Bruno wrote:

> Twice now I have seen maintainers confused about how to specify release
> strings in an obsoletes statement. They like to drop the .fc11 and then
> use the version and the rest of the release string from the exact version
> they want to obsolete. And this won't work.

True. They don't consider the consequences of the %{?dist} macro used
elsewhere in their packages. Rule of thumb: %dist increases %release

> Is there some place to more prominently document this?

The Wiki used to be the place where to document such issues. It's not
structured well, however, and so it's difficult to find relevant bits.
And it may be that the following page can only be edited by the Packaging
Comittee:

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Renaming.2Freplacing_existing_packages

> Is this something rpmlint catches or could be made to catch?

Unlikely. rpmlint doesn't know about external packages and their
EVRs. It could not verify the specified Obsoletes range.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]